Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 797622 - sys-cluster/ceph-16.2.4-r2 error: ‘transform’ is not a member of ‘std’
Summary: sys-cluster/ceph-16.2.4-r2 error: ‘transform’ is not a member of ‘std’
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick McLean
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: gcc-11 boost-1.77
  Show dependency tree
 
Reported: 2021-06-22 17:29 UTC by Alessandro Barbieri
Modified: 2021-09-20 19:14 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge_info (emerge_info,34.84 KB, text/plain)
2021-06-22 17:29 UTC, Alessandro Barbieri
Details
ceph-16.2.4-r2:20210622-150754.log (ceph-16.2.4-r2:20210622-150754.log,760.31 KB, text/plain)
2021-06-22 17:30 UTC, Alessandro Barbieri
Details
patch for upstream fix "common/Formatter: include used header" (formatter_transform.patch,290 bytes, patch)
2021-07-08 09:46 UTC, Dirk Völcker
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alessandro Barbieri 2021-06-22 17:29:27 UTC
This package fails to build on an unstable system. Attached relevant logs and emerge --info
Comment 1 Alessandro Barbieri 2021-06-22 17:29:41 UTC
Created attachment 717696 [details]
emerge_info

emerge --info
Comment 2 Alessandro Barbieri 2021-06-22 17:30:06 UTC
Created attachment 717699 [details]
ceph-16.2.4-r2:20210622-150754.log

build log
Comment 3 Stephan Hartmann gentoo-dev 2021-06-23 07:54:56 UTC
Fixed upstream with:
https://github.com/ceph/ceph/commit/ff79cae5a1243111c8a039426081638d40a258fa
Comment 4 Dirk Völcker 2021-07-08 09:46:52 UTC
Created attachment 722683 [details, diff]
patch for upstream fix "common/Formatter: include used header"
Comment 5 zappel 2021-07-14 11:06:36 UTC
sys-cluster/ceph-16.2.5 is affected by this issue as well.
Comment 6 Larry the Git Cow gentoo-dev 2021-09-17 01:20:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7da3a597a4b8d0f09e3e68bde8135ad4f8bee14b

commit 7da3a597a4b8d0f09e3e68bde8135ad4f8bee14b
Author:     Patrick McLean <chutzpah@gentoo.org>
AuthorDate: 2021-09-17 00:06:53 +0000
Commit:     Patrick McLean <chutzpah@gentoo.org>
CommitDate: 2021-09-17 01:20:44 +0000

    sys-cluster/ceph-16.2.6: Version bump
    
    Closes: https://bugs.gentoo.org/797622
    Closes: https://bugs.gentoo.org/797622
    Closes: https://bugs.gentoo.org/803947
    Closes: https://bugs.gentoo.org/803629
    Closes: https://bugs.gentoo.org/797598
    Closes: https://bugs.gentoo.org/795807
    Package-Manager: Portage-3.0.23, Repoman-3.0.3
    Signed-off-by: Patrick McLean <chutzpah@gentoo.org>

 sys-cluster/ceph/Manifest           |   1 +
 sys-cluster/ceph/ceph-16.2.6.ebuild | 459 ++++++++++++++++++++++++++++++++++++
 2 files changed, 460 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7da3a597a4b8d0f09e3e68bde8135ad4f8bee14b

commit 7da3a597a4b8d0f09e3e68bde8135ad4f8bee14b
Author:     Patrick McLean <chutzpah@gentoo.org>
AuthorDate: 2021-09-17 00:06:53 +0000
Commit:     Patrick McLean <chutzpah@gentoo.org>
CommitDate: 2021-09-17 01:20:44 +0000

    sys-cluster/ceph-16.2.6: Version bump
    
    Closes: https://bugs.gentoo.org/797622
    Closes: https://bugs.gentoo.org/797622
    Closes: https://bugs.gentoo.org/803947
    Closes: https://bugs.gentoo.org/803629
    Closes: https://bugs.gentoo.org/797598
    Closes: https://bugs.gentoo.org/795807
    Package-Manager: Portage-3.0.23, Repoman-3.0.3
    Signed-off-by: Patrick McLean <chutzpah@gentoo.org>

 sys-cluster/ceph/Manifest           |   1 +
 sys-cluster/ceph/ceph-16.2.6.ebuild | 459 ++++++++++++++++++++++++++++++++++++
 2 files changed, 460 insertions(+)